#include <libint2.h>
#include <HRRPart0bra0ket0dd.h>
#include <HRRPart0bra0ket0df.h>
#include <HRRPart0bra0ket0dg.h>
#include <HRRPart0bra0ket0dp.h>
#include <HRRPart0bra0ket0fd.h>
#include <HRRPart0bra0ket0ff.h>
#include <HRRPart0bra0ket0fp.h>
#include <HRRPart0bra0ket0gd.h>
#include <HRRPart0bra0ket0gp.h>
#include <HRRPart0bra0ket0hp.h>
#include <HRRPart0bra0ket0pd.h>
#include <HRRPart0bra0ket0pf.h>
#include <HRRPart0bra0ket0pg.h>
#include <HRRPart0bra0ket0ph.h>
#include <HRRPart0bra0ket0pp.h>
#include <HRRPart0bra0ket0sd.h>
#include <HRRPart0bra0ket0sf.h>
#include <HRRPart0bra0ket0sg.h>
#include <HRRPart0bra0ket0sh.h>
#include <HRRPart0bra0ket0si.h>
#include <HRRPart0bra0ket0sp.h>
#include <_elecpot_S_I_prereq.h>

#ifdef __cplusplus
extern "C" {
#endif
void _elecpot_S_I(const Libint_t* inteval) {

_libint2_static_api_bzero_short_(inteval->stack+0*1,84)
const int contrdepth = inteval->contrdepth;
#ifdef __INTEL_COMPILER
#pragma ivdep
#endif
for(int c = 0; c<contrdepth; c++) {
_elecpot_S_I_prereq(inteval+c, inteval->stack);
}

LIBINT2_REALTYPE*const  stack = inteval->stack;
{
const int hsi = 0;
{
const int lsi = 0;
{
const int vi = 0;
HRRPart0bra0ket0pp(inteval, &(inteval->stack[((hsi*9+112)*1+lsi)*1]), &(inteval->stack[((hsi*6+74)*1+lsi)*1]), &(inteval->stack[((hsi*3+80)*1+lsi)*1]),1);
HRRPart0bra0ket0dp(inteval, &(inteval->stack[((hsi*18+121)*1+lsi)*1]), &(inteval->stack[((hsi*10+64)*1+lsi)*1]), &(inteval->stack[((hsi*6+74)*1+lsi)*1]),1);
HRRPart0bra0ket0pd(inteval, &(inteval->stack[((hsi*18+139)*1+lsi)*1]), &(inteval->stack[((hsi*18+121)*1+lsi)*1]), &(inteval->stack[((hsi*9+112)*1+lsi)*1]),1);
HRRPart0bra0ket0fp(inteval, &(inteval->stack[((hsi*30+157)*1+lsi)*1]), &(inteval->stack[((hsi*15+49)*1+lsi)*1]), &(inteval->stack[((hsi*10+64)*1+lsi)*1]),1);
HRRPart0bra0ket0dd(inteval, &(inteval->stack[((hsi*36+187)*1+lsi)*1]), &(inteval->stack[((hsi*30+157)*1+lsi)*1]), &(inteval->stack[((hsi*18+121)*1+lsi)*1]),1);
HRRPart0bra0ket0pf(inteval, &(inteval->stack[((hsi*30+223)*1+lsi)*1]), &(inteval->stack[((hsi*36+187)*1+lsi)*1]), &(inteval->stack[((hsi*18+139)*1+lsi)*1]),1);
HRRPart0bra0ket0gp(inteval, &(inteval->stack[((hsi*45+253)*1+lsi)*1]), &(inteval->stack[((hsi*21+28)*1+lsi)*1]), &(inteval->stack[((hsi*15+49)*1+lsi)*1]),1);
HRRPart0bra0ket0fd(inteval, &(inteval->stack[((hsi*60+298)*1+lsi)*1]), &(inteval->stack[((hsi*45+253)*1+lsi)*1]), &(inteval->stack[((hsi*30+157)*1+lsi)*1]),1);
HRRPart0bra0ket0df(inteval, &(inteval->stack[((hsi*60+358)*1+lsi)*1]), &(inteval->stack[((hsi*60+298)*1+lsi)*1]), &(inteval->stack[((hsi*36+187)*1+lsi)*1]),1);
HRRPart0bra0ket0pg(inteval, &(inteval->stack[((hsi*45+157)*1+lsi)*1]), &(inteval->stack[((hsi*60+358)*1+lsi)*1]), &(inteval->stack[((hsi*30+223)*1+lsi)*1]),1);
HRRPart0bra0ket0sp(inteval, &(inteval->stack[((hsi*3+49)*1+lsi)*1]), &(inteval->stack[((hsi*3+80)*1+lsi)*1]), &(inteval->stack[((hsi*1+83)*1+lsi)*1]),1);
HRRPart0bra0ket0sd(inteval, &(inteval->stack[((hsi*6+52)*1+lsi)*1]), &(inteval->stack[((hsi*9+112)*1+lsi)*1]), &(inteval->stack[((hsi*3+49)*1+lsi)*1]),1);
HRRPart0bra0ket0sf(inteval, &(inteval->stack[((hsi*10+112)*1+lsi)*1]), &(inteval->stack[((hsi*18+139)*1+lsi)*1]), &(inteval->stack[((hsi*6+52)*1+lsi)*1]),1);
HRRPart0bra0ket0sg(inteval, &(inteval->stack[((hsi*15+122)*1+lsi)*1]), &(inteval->stack[((hsi*30+223)*1+lsi)*1]), &(inteval->stack[((hsi*10+112)*1+lsi)*1]),1);
HRRPart0bra0ket0sh(inteval, &(inteval->stack[((hsi*21+202)*1+lsi)*1]), &(inteval->stack[((hsi*45+157)*1+lsi)*1]), &(inteval->stack[((hsi*15+122)*1+lsi)*1]),1);
HRRPart0bra0ket0hp(inteval, &(inteval->stack[((hsi*63+418)*1+lsi)*1]), &(inteval->stack[((hsi*28+0)*1+lsi)*1]), &(inteval->stack[((hsi*21+28)*1+lsi)*1]),1);
HRRPart0bra0ket0gd(inteval, &(inteval->stack[((hsi*90+481)*1+lsi)*1]), &(inteval->stack[((hsi*63+418)*1+lsi)*1]), &(inteval->stack[((hsi*45+253)*1+lsi)*1]),1);
HRRPart0bra0ket0ff(inteval, &(inteval->stack[((hsi*100+571)*1+lsi)*1]), &(inteval->stack[((hsi*90+481)*1+lsi)*1]), &(inteval->stack[((hsi*60+298)*1+lsi)*1]),1);
HRRPart0bra0ket0dg(inteval, &(inteval->stack[((hsi*90+418)*1+lsi)*1]), &(inteval->stack[((hsi*100+571)*1+lsi)*1]), &(inteval->stack[((hsi*60+358)*1+lsi)*1]),1);
HRRPart0bra0ket0ph(inteval, &(inteval->stack[((hsi*63+223)*1+lsi)*1]), &(inteval->stack[((hsi*90+418)*1+lsi)*1]), &(inteval->stack[((hsi*45+157)*1+lsi)*1]),1);
HRRPart0bra0ket0si(inteval, &(inteval->stack[((hsi*28+84)*1+lsi)*1]), &(inteval->stack[((hsi*63+223)*1+lsi)*1]), &(inteval->stack[((hsi*21+202)*1+lsi)*1]),1);
}
}
}
const int hsi = 0;
const int lsi = 0;
const int vi = 0;
inteval->targets[0] = &(inteval->stack[((hsi*28+84)*1+lsi)*1]);
/** Number of flops = 0 */
}

#ifdef __cplusplus
};
#endif
